Package org.kapott.cryptalgs

# Class RSAPrivateCrtKey2

java.lang.Object
org.kapott.cryptalgs.RSAPrivateCrtKey2

All Implemented Interfaces:
  `Serializable`, `Key`, `PrivateKey`, `Destroyable`

public class RSAPrivateCrtKey2 extends Object implements PrivateKey

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RSAPrivateCrtKey2(BigInteger p, BigInteger q, BigInteger dP, BigInteger dQ, BigInteger qInv)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
`BigInteger`
`getAp()`
`BigInteger`
`getAq()`
`BigInteger`
`getdP()`
`BigInteger`
`getdQ()`
`byte[]`
`getEncoded()`
`String`
`getFormat()`
`BigInteger`
`getP()`
`BigInteger`
`getQ()`
`BigInteger`
`getQInv()`
`void`
`setAp(BigInteger ap)`
`void`
`setAq(BigInteger aq)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.security.auth.Destroyable

`destroy, isDestroyed`

## Constructor Details

### RSAPrivateCrtKey2

public RSAPrivateCrtKey2(BigInteger p, BigInteger q, BigInteger dP, BigInteger dQ, BigInteger qInv)

## Method Details

### getP

public BigInteger getP()

### getQ

public BigInteger getQ()

### getdP

public BigInteger getdP()

### getdQ

public BigInteger getdQ()

### getQInv

public BigInteger getQInv()

### getEncoded

public byte[] getEncoded()

Specified by:
  `getEncoded` in interface `Key`

### getAlgorithm

public String getAlgorithm()

Specified by:
  `getAlgorithm` in interface `Key`

### getFormat

public String getFormat()

Specified by:
  `getFormat` in interface `Key`

### setAp

public void setAp(BigInteger ap)

### getAp

public BigInteger getAp()

### setAq

public void setAq(BigInteger aq)

### getAq

public BigInteger getAq()